%define game_version %{version}
%define irrlichtmt_version 1.9.0mt13

Name:		minetest
Version:	5.8.0
Release:	%mkrel 1
Summary:	Open source voxel game engine and InfiniMiner/Minecraft-inspired game
Group:		Games/Other
License:	LGPLv2+ and CC-BY-SA 3.0
URL:		http://minetest.net
Source0:	%{name}-%{version}.tar.xz
Source1:	%{name}_game-%{game_version}.tar.xz
Source2:	irrlicht-%{irrlichtmt_version}.tar.xz

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	gmp-devel
BuildRequires:	lib64sdl2.0-devel
BuildRequires:	pkgconfig(jsoncpp)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(leveldb)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(luajit)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(vorbisfile)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(zlib)

%description
Minetest in an open source voxel game engine. You can play one of the many
games designed by its community, mod a game to your liking, make your own
game, or play on a multiplayer server.

The base package comes with the default Minetest game and some pre-installed
mods, which should provide a gaming experience similar to Minecraft.

%prep
%setup -q -b 0 -a 1 -a 2

# purge bundled jsoncpp and lua, and gmp
rm -rf lib/jsoncpp lib/lua lib/gmp

mv irrlicht-%{irrlichtmt_version} lib/irrlichtmt

%build
%cmake \
	-DRUN_IN_PLACE=0 \
	-DBUILD_SHARED_LIBS=OFF \
	-DCUSTOM_BINDIR:STRING=%{_gamesbindir} \
	-DCUSTOM_LOCALEDIR:STRING=%{_datadir}/locale \
	-DCUSTOM_SHAREDIR:STRING=%{_gamesdatadir}/%{name} \
	-DENABLE_CURL:BOOL=ON \
	-DENABLE_FREETYPE:BOOL=ON \
	-DENABLE_GETTEXT:BOOL=ON \
	-DENABLE_LEVELDB:BOOL=ON \
	-DENABLE_REDIS:BOOL=OFF \
	-DENABLE_SOUND:BOOL=ON \
	-DENABLE_SYSTEM_GMP:BOOL=ON \
	-DENABLE_SYSTEM_JSONCPP:BOOL=ON
%make_build

%install
%make_install -C build
mkdir -p %{buildroot}%{_gamesdatadir}/%{name}/games
mv %{name}_game-%{game_version} %{buildroot}%{_gamesdatadir}/%{name}/games/%{name}_game

rm -rf %{buildroot}%{_gamesdatadir}/%{name}/client/serverlist/.gitignore

%find_lang %{name}

%files -f %{name}.lang
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/net.minetest.%{name}.desktop
%{_datadir}/metainfo/net.minetest.%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man6/%{name}.6*
%{_mandir}/man6/%{name}server.6*
%{_datadir}/doc/minetest

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%changelog
* Fri Feb 16 2024 hunter0one <hunter2k1@disroot.org> 5.8.0-1pclos2024
- new version 5.8.0

* Tue Jun 15 2021 Agent Smith <ruidobranco@yahoo.com.br> 5.4.1-1pclos2021
- Updated package to latest version, 5.4.1

* Sat Jul 11 2020 ghostbunny <ghostbunny at gmx dot de> 5.3.0-1pclos2020
- 5.3.0

* Thu Oct 17 2019 tex - 5.1.0-1pclos2019
- new version

* Tue Apr 16 2019 tex - 5.0.1-1pclos2019
- new version 5.0.1
